Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netapp.manage.http
Class AuthInfo

    java.lang.Object
      netapp.manage.http.AuthInfo

public class AuthInfo
extends java.lang.Object

Class that contains information about keystore and tuststore details that are required for certificate based authentication.

Constructor Summary
`AuthInfo(java.lang.String hostName)` Constructor which will initialize keystore and truststore values.

Method Summary
`static boolean` | `compare(AuthInfo a1, AuthInfo a2)` Compares the given authentication info objects according to their keystore and truststore properties.
`void` | `disableCBA()` Disables Certificate Based Authentication mechanism.
`void` | `disableHostnameVerification()` Disables Hostname verification by the client during server certificate verification.
`void` | `disableServerCertVerification()` Disables Server certificate verification by the client.
`void` | `enableCBA()` Enables Certificate Based Authentication mechanism.
`void` | `enableHostnameVerification()` Enables Hostname verification by the client during server certificate verification.
`void` | `enableServerCertVerification()` Enables Server certificate verification by the client.
`java.lang.String` | `getHost()` Gets the hostname that is required for server authentication.
`java.lang.String` | `getKeyPasswd()` Gets the client private key password.
`java.lang.String` | `getKeyStoreFile()` Gets the client keystore file.
`java.lang.String` | `getKeyStorePasswd()` Gets the client keystore password.
`java.lang.String` | `getKeyStoreType()` Gets the type of the client keystore file.
`java.lang.String` | `getTrustStoreFile()` Gets the location of the server truststore file.
`java.lang.String` | `getTrustStoreType()` Gets the type of the server truststore file.
`boolean` | `isCBAEnabled()` Flag indicates whether to use Certificate Based Authentication mechanism.
`boolean` | `isHostnameVerificationEnabled()` Determines whether Hostname verification is enabled by the client during server certificate verification.
`boolean` | `isServerCertVerificationEnabled()` Flag that indicates whether to use server certificate verification or not.
`void` | `setHost(java.lang.String host)` Sets the hostname that is required for server authentication.
`void` | `setKeyStore(java.lang.String keyStoreFile, java.lang.String keyStorePasswd, java.lang.String keyPasswd)` Set the keystore details where the client certificate and the key resides.
`void` | `setKeyStoreType(java.lang.String keyStoreType)` Set the type of the client keystore file.
`void` | `setTrustStore(java.lang.String trustStoreFile)` Set the truststore file required for server authentication.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthInfo

    public AuthInfo(java.lang.String hostName)

  Constructor which will initialize keystore and truststore values.

Method Detail

### setKeyStore

    public void setKeyStore(java.lang.String keyStoreFile,
                            java.lang.String keyStorePasswd,
                            java.lang.String keyPasswd)

  Set the keystore details where the client certificate and the key resides.

  Parameters:
    `keyStoreFile` - Location of the keystore file.
    `keyStorePasswd` - Password to access the keystore file.
    `keyPasswd` - Password to access the private key.

### setKeyStoreType

    public void setKeyStoreType(java.lang.String keyStoreType)

  Set the type of the client keystore file.

  Parameters:
    `keyStoreType` - Type of of the keystore file.

### setTrustStore

    public void setTrustStore(java.lang.String trustStoreFile)

  Set the truststore file required for server authentication.

  Parameters:
    `trustStoreFile` - Location of the truststore file.

### getKeyStoreFile

    public java.lang.String getKeyStoreFile()

  Gets the client keystore file.

### getKeyStorePasswd

    public java.lang.String getKeyStorePasswd()

  Gets the client keystore password.

### getKeyPasswd

    public java.lang.String getKeyPasswd()

  Gets the client private key password.

### getKeyStoreType

    public java.lang.String getKeyStoreType()

  Gets the type of the client keystore file.

### getTrustStoreFile

    public java.lang.String getTrustStoreFile()

  Gets the location of the server truststore file.

### getTrustStoreType

    public java.lang.String getTrustStoreType()

  Gets the type of the server truststore file.

### setHost

    public void setHost(java.lang.String host)

  Sets the hostname that is required for server authentication.

  Parameters:
    `host` - Name of the host the client is connecting to.

### getHost

    public java.lang.String getHost()

  Gets the hostname that is required for server authentication.

### enableCBA

    public void enableCBA()

  Enables Certificate Based Authentication mechanism.

### disableCBA

    public void disableCBA()

  Disables Certificate Based Authentication mechanism.

### isCBAEnabled

    public boolean isCBAEnabled()

  Flag indicates whether to use Certificate Based Authentication mechanism.

### enableServerCertVerification

    public void enableServerCertVerification()

  Enables Server certificate verification by the client.

### disableServerCertVerification

    public void disableServerCertVerification()

  Disables Server certificate verification by the client.

### isServerCertVerificationEnabled

    public boolean isServerCertVerificationEnabled()

  Flag that indicates whether to use server certificate verification or not.

### enableHostnameVerification

    public void enableHostnameVerification()

  Enables Hostname verification by the client during server certificate verification.

### disableHostnameVerification

    public void disableHostnameVerification()

  Disables Hostname verification by the client during server certificate verification.

### isHostnameVerificationEnabled

    public boolean isHostnameVerificationEnabled()

  Determines whether Hostname verification is enabled by the client during server certificate verification.

### compare

    public static boolean compare(AuthInfo a1,
                                  AuthInfo a2)

  Compares the given authentication info objects according to their keystore and truststore properties. Returns true of both the properties matches.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD